openapi: 3.0.3
info:
  title: Feed
  contact:
    name: API Support
    url: https://ensi.tech/contacts
    email: mail@greensight.ru
  version: 1.0.0
  description: Ensi Feed
servers:
  - url: /api/v1
tags:
  - name: common
    description: Common methods
  - name: feeds
    description: Фиды
  - name: feed_settings
    description: Настройки фидов
  - name: cloud_integrations
    description: Настройка интграции Cloud

paths:
  ### DOMAIN Common ###

  # tag common

  /common/entities:migrate:
    $ref: './common/paths.yaml#/EntitiesMigrate'

  ### DOMAIN Feed ###

  # tag feeds

  /feeds/feeds/{id}:
    $ref: './feeds/paths.yaml#/FeedOne'
  /feeds/feeds:search:
    $ref: './feeds/paths.yaml#/FeedsSearch'

  # tag feed_settings

  /feeds/feed-settings:
    $ref: './feeds/paths.yaml#/FeedSettings'
  /feeds/feed-settings/{id}:
    $ref: './feeds/paths.yaml#/FeedSettingsOne'
  /feeds/feed-settings:search:
    $ref: './feeds/paths.yaml#/FeedSettingsSearch'

  ### DOMAIN Cloud ###

  # tag cloud_integrations

  /cloud/cloud-integrations:
    $ref: './cloud/paths.yaml#/CloudIntegrations'

components:
  parameters:
    QueryInclude:
      $ref: './common_parameters.yaml#/QueryInclude'
    PathId:
      $ref: './common_parameters.yaml#/PathId'
  schemas:
    EmptyDataResponse:
      type: object
      properties:
        data:
          type: object
          nullable: true
        meta:
          type: object
      required:
          - data
    FeedPlatformEnum:
      $ref: './feeds/enums/feed_platform_enum.yaml'
    FeedTypeEnum:
      $ref: './feeds/enums/feed_type_enum.yaml'
    PaginationTypeEnum:
      $ref: './common_schemas.yaml#/PaginationTypeEnum'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    ServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: './errors.yaml#/ErrorResponse'
    DeleteResponse:
      description: Удаление выполнено
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EmptyDataResponse'
